Package org.bgerp.plugin.pln.callboard.action.admin

# Class WorkAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.pln.callboard.action.WorkAction
org.bgerp.plugin.pln.callboard.action.admin.WorkAction

public class WorkAction extends WorkAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `shiftDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `shiftGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `shiftList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `shiftUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workTypeDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workTypeGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workTypeList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workTypeUpdate(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.plugin.pln.callboard.action.WorkAction

  `callboardAvailableShift, callboardChangeOrder, callboardGet, callboardGetTabel, callboardUpdateFilters, callboardUpdateShift, getAvailableCategories, getAvailableCategoryIds, getGroupList, getGroupWithUsersMap, planGet, processTime, processTimeLock, processTimeSet, processTimeUnlock, userChangeGroup, workDaysCalendarCopy, workDaysCalendarGet, workDaysCalendarList, workDaysCalendarUpdate`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkAction

    public WorkAction()

- ## Method Details

  - ### workTypeList

    public org.apache.struts.action.ActionForward workTypeList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workTypeGet

    public org.apache.struts.action.ActionForward workTypeGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workTypeUpdate

    public org.apache.struts.action.ActionForward workTypeUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workTypeDelete

    public org.apache.struts.action.ActionForward workTypeDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### shiftList

    public org.apache.struts.action.ActionForward shiftList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### shiftGet

    public org.apache.struts.action.ActionForward shiftGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### shiftUpdate

    public org.apache.struts.action.ActionForward shiftUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### shiftDelete

    public org.apache.struts.action.ActionForward shiftDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`